#!/usr/bin/env bash

set -euxo pipefail;

INTERFACE={{ wireguard_interface_name | quote }};

if ! ip link show dev $INTERFACE; then
  ip link add dev $INTERFACE type wireguard;
else
  ip link set dev $INTERFACE type wireguard;
fi
ip address add dev $INTERFACE {{ wireguard_ipv4_address | quote }}/{{ global_wireguard_ipv4_subnet | quote }};
wg setconf $INTERFACE {{ global_wireguard_configuration_directory }}/wireguard.cfg;
ip link set up dev $INTERFACE;
#ip route add {{ global_wireguard_ipv4_range }} dev $INTERFACE;
